// Code generated by protoc-gen-go.
// source: client/pps/pps.proto
// DO NOT EDIT!

/*
Package pps is a generated protocol buffer package.

It is generated from these files:
	client/pps/pps.proto

It has these top-level messages:
	Secret
	Transform
	Job
	Method
	JobInput
	JobInfo
	JobInfos
	Pipeline
	PipelineInput
	PipelineInfo
	PipelineInfos
	CreateJobRequest
	InspectJobRequest
	ListJobRequest
	GetLogsRequest
	CreatePipelineRequest
	InspectPipelineRequest
	ListPipelineRequest
	DeletePipelineRequest
	StartPipelineRequest
	StopPipelineRequest
*/
package pps

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"
import google_protobuf "go.pedge.io/pb/go/google/protobuf"
import google_protobuf1 "go.pedge.io/pb/go/google/protobuf"
import google_protobuf2 "go.pedge.io/pb/go/google/protobuf"
import pfs "github.com/pachyderm/pachyderm/src/client/pfs"

import (
	context "golang.org/x/net/context"
	grpc "google.golang.org/grpc"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion2 // please upgrade the proto package

type JobState int32

const (
	JobState_JOB_PULLING JobState = 0
	JobState_JOB_RUNNING JobState = 1
	JobState_JOB_FAILURE JobState = 2
	JobState_JOB_SUCCESS JobState = 3
	// An empty job is a job that hasn't actually been run.
	// It's a result of empty input commits.
	JobState_JOB_EMPTY JobState = 4
)

var JobState_name = map[int32]string{
	0: "JOB_PULLING",
	1: "JOB_RUNNING",
	2: "JOB_FAILURE",
	3: "JOB_SUCCESS",
	4: "JOB_EMPTY",
}
var JobState_value = map[string]int32{
	"JOB_PULLING": 0,
	"JOB_RUNNING": 1,
	"JOB_FAILURE": 2,
	"JOB_SUCCESS": 3,
	"JOB_EMPTY":   4,
}

func (x JobState) String() string {
	return proto.EnumName(JobState_name, int32(x))
}
func (JobState) EnumDescriptor() ([]byte, []int) { return fileDescriptor0, []int{0} }

type Partition int32

const (
	Partition_BLOCK Partition = 0
	Partition_FILE  Partition = 1
	Partition_REPO  Partition = 2
)

var Partition_name = map[int32]string{
	0: "BLOCK",
	1: "FILE",
	2: "REPO",
}
var Partition_value = map[string]int32{
	"BLOCK": 0,
	"FILE":  1,
	"REPO":  2,
}

func (x Partition) String() string {
	return proto.EnumName(Partition_name, int32(x))
}
func (Partition) EnumDescriptor() ([]byte, []int) { return fileDescriptor0, []int{1} }

type Incremental int32

const (
	Incremental_NONE Incremental = 0
	Incremental_DIFF Incremental = 1
	Incremental_FULL Incremental = 2
)

var Incremental_name = map[int32]string{
	0: "NONE",
	1: "DIFF",
	2: "FULL",
}
var Incremental_value = map[string]int32{
	"NONE": 0,
	"DIFF": 1,
	"FULL": 2,
}

func (x Incremental) String() string {
	return proto.EnumName(Incremental_name, int32(x))
}
func (Incremental) EnumDescriptor() ([]byte, []int) { return fileDescriptor0, []int{2} }

type PipelineState int32

const (
	// When the pipeline is not ready to be triggered by commits.
	// This happens when either 1) a pipeline has been created but not yet picked
	// up by a PPS server, or 2) the pipeline does not have any inputs and is meant
	// to be triggered manually
	PipelineState_PIPELINE_IDLE PipelineState = 0
	// After this pipeline is picked up by a pachd node.  This is the normal
	// state of a pipeline.
	PipelineState_PIPELINE_RUNNING PipelineState = 1
	// After some error caused runPipeline to exit, but before the pipeline is
	// re-run.  This is when the exponential backoff is in effect.
	PipelineState_PIPELINE_RESTARTING PipelineState = 2
	// We have retried too many times and we have given up on this pipeline.
	PipelineState_PIPELINE_FAILURE PipelineState = 3
	// The pipeline has been explicitly stopped by the user.
	PipelineState_PIPELINE_STOPPED PipelineState = 4
)

var PipelineState_name = map[int32]string{
	0: "PIPELINE_IDLE",
	1: "PIPELINE_RUNNING",
	2: "PIPELINE_RESTARTING",
	3: "PIPELINE_FAILURE",
	4: "PIPELINE_STOPPED",
}
var PipelineState_value = map[string]int32{
	"PIPELINE_IDLE":       0,
	"PIPELINE_RUNNING":    1,
	"PIPELINE_RESTARTING": 2,
	"PIPELINE_FAILURE":    3,
	"PIPELINE_STOPPED":    4,
}

func (x PipelineState) String() string {
	return proto.EnumName(PipelineState_name, int32(x))
}
func (PipelineState) EnumDescriptor() ([]byte, []int) { return fileDescriptor0, []int{3} }

type Secret struct {
	// Name must be the name of the secret in kubernetes.
	Name      string `protobuf:"bytes,1,opt,name=name" json:"name,omitempty"`
	MountPath string `protobuf:"bytes,2,opt,name=mount_path,json=mountPath" json:"mount_path,omitempty"`
}

func (m *Secret) Reset()                    { *m = Secret{} }
func (m *Secret) String() string            { return proto.CompactTextString(m) }
func (*Secret) ProtoMessage()               {}
func (*Secret) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{0} }

type Transform struct {
	Image            string            `protobuf:"bytes,1,opt,name=image" json:"image,omitempty"`
	Cmd              []string          `protobuf:"bytes,2,rep,name=cmd" json:"cmd,omitempty"`
	Env              map[string]string `protobuf:"bytes,3,rep,name=env" json:"env,omitempty" protobuf_key:"bytes,1,opt,name=key" protobuf_val:"bytes,2,opt,name=value"`
	Secrets          []*Secret         `protobuf:"bytes,4,rep,name=secrets" json:"secrets,omitempty"`
	Stdin            []string          `protobuf:"bytes,5,rep,name=stdin" json:"stdin,omitempty"`
	AcceptReturnCode []int64           `protobuf:"varint,6,rep,packed,name=accept_return_code,json=acceptReturnCode" json:"accept_return_code,omitempty"`
	Debug            bool              `protobuf:"varint,7,opt,name=debug" json:"debug,omitempty"`
}

func (m *Transform) Reset()                    { *m = Transform{} }
func (m *Transform) String() string            { return proto.CompactTextString(m) }
func (*Transform) ProtoMessage()               {}
func (*Transform) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{1} }

func (m *Transform) GetEnv() map[string]string {
	if m != nil {
		return m.Env
	}
	return nil
}

func (m *Transform) GetSecrets() []*Secret {
	if m != nil {
		return m.Secrets
	}
	return nil
}

type Job struct {
	ID string `protobuf:"bytes,1,opt,name=id" json:"id,omitempty"`
}

func (m *Job) Reset()                    { *m = Job{} }
func (m *Job) String() string            { return proto.CompactTextString(m) }
func (*Job) ProtoMessage()               {}
func (*Job) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{2} }

type Method struct {
	Partition   Partition   `protobuf:"varint,1,opt,name=partition,enum=pachyderm.pps.Partition" json:"partition,omitempty"`
	Incremental Incremental `protobuf:"varint,2,opt,name=incremental,enum=pachyderm.pps.Incremental" json:"incremental,omitempty"`
}

func (m *Method) Reset()                    { *m = Method{} }
func (m *Method) String() string            { return proto.CompactTextString(m) }
func (*Method) ProtoMessage()               {}
func (*Method) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{3} }

type JobInput struct {
	Commit *pfs.Commit `protobuf:"bytes,1,opt,name=commit" json:"commit,omitempty"`
	Method *Method     `protobuf:"bytes,2,opt,name=method" json:"method,omitempty"`
	// This flag specifies whether the pipeline should be triggered
	// when this input gets an empty commit.
	RunEmpty bool `protobuf:"varint,3,opt,name=run_empty,json=runEmpty" json:"run_empty,omitempty"`
}

func (m *JobInput) Reset()                    { *m = JobInput{} }
func (m *JobInput) String() string            { return proto.CompactTextString(m) }
func (*JobInput) ProtoMessage()               {}
func (*JobInput) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{4} }

func (m *JobInput) GetCommit() *pfs.Commit {
	if m != nil {
		return m.Commit
	}
	return nil
}

func (m *JobInput) GetMethod() *Method {
	if m != nil {
		return m.Method
	}
	return nil
}

type JobInfo struct {
	Job          *Job                        `protobuf:"bytes,1,opt,name=job" json:"job,omitempty"`
	Transform    *Transform                  `protobuf:"bytes,2,opt,name=transform" json:"transform,omitempty"`
	Pipeline     *Pipeline                   `protobuf:"bytes,3,opt,name=pipeline" json:"pipeline,omitempty"`
	Parallelism  uint64                      `protobuf:"varint,4,opt,name=parallelism" json:"parallelism,omitempty"`
	Inputs       []*JobInput                 `protobuf:"bytes,5,rep,name=inputs" json:"inputs,omitempty"`
	ParentJob    *Job                        `protobuf:"bytes,6,opt,name=parent_job,json=parentJob" json:"parent_job,omitempty"`
	Started      *google_protobuf1.Timestamp `protobuf:"bytes,7,opt,name=started" json:"started,omitempty"`
	Finished     *google_protobuf1.Timestamp `protobuf:"bytes,8,opt,name=finished" json:"finished,omitempty"`
	OutputCommit *pfs.Commit                 `protobuf:"bytes,9,opt,name=output_commit,json=outputCommit" json:"output_commit,omitempty"`
	State        JobState                    `protobuf:"varint,10,opt,name=state,enum=pachyderm.pps.JobState" json:"state,omitempty"`
	PodCommits   map[uint64]string           `protobuf:"bytes,11,rep,name=pod_commits,json=podCommits" json:"pod_commits,omitempty" protobuf_key:"varint,1,opt,name=key" protobuf_val:"bytes,2,opt,name=value"`
}

func (m *JobInfo) Reset()                    { *m = JobInfo{} }
func (m *JobInfo) String() string            { return proto.CompactTextString(m) }
func (*JobInfo) ProtoMessage()               {}
func (*JobInfo) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{5} }

func (m *JobInfo) GetJob() *Job {
	if m != nil {
		return m.Job
	}
	return nil
}

func (m *JobInfo) GetTransform() *Transform {
	if m != nil {
		return m.Transform
	}
	return nil
}

func (m *JobInfo) GetPipeline() *Pipeline {
	if m != nil {
		return m.Pipeline
	}
	return nil
}

func (m *JobInfo) GetInputs() []*JobInput {
	if m != nil {
		return m.Inputs
	}
	return nil
}

func (m *JobInfo) GetParentJob() *Job {
	if m != nil {
		return m.ParentJob
	}
	return nil
}

func (m *JobInfo) GetStarted() *google_protobuf1.Timestamp {
	if m != nil {
		return m.Started
	}
	return nil
}

func (m *JobInfo) GetFinished() *google_protobuf1.Timestamp {
	if m != nil {
		return m.Finished
	}
	return nil
}

func (m *JobInfo) GetOutputCommit() *pfs.Commit {
	if m != nil {
		return m.OutputCommit
	}
	return nil
}

func (m *JobInfo) GetPodCommits() map[uint64]string {
	if m != nil {
		return m.PodCommits
	}
	return nil
}

type JobInfos struct {
	JobInfo []*JobInfo `protobuf:"bytes,1,rep,name=job_info,json=jobInfo" json:"job_info,omitempty"`
}

func (m *JobInfos) Reset()                    { *m = JobInfos{} }
func (m *JobInfos) String() string            { return proto.CompactTextString(m) }
func (*JobInfos) ProtoMessage()               {}
func (*JobInfos) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{6} }

func (m *JobInfos) GetJobInfo() []*JobInfo {
	if m != nil {
		return m.JobInfo
	}
	return nil
}

type Pipeline struct {
	Name string `protobuf:"bytes,1,opt,name=name" json:"name,omitempty"`
}

func (m *Pipeline) Reset()                    { *m = Pipeline{} }
func (m *Pipeline) String() string            { return proto.CompactTextString(m) }
func (*Pipeline) ProtoMessage()               {}
func (*Pipeline) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{7} }

type PipelineInput struct {
	Repo   *pfs.Repo `protobuf:"bytes,1,opt,name=repo" json:"repo,omitempty"`
	Method *Method   `protobuf:"bytes,2,opt,name=method" json:"method,omitempty"`
	// This flag specifies whether the pipeline should be triggered
	// when this input gets an empty commit.
	RunEmpty bool `protobuf:"varint,3,opt,name=run_empty,json=runEmpty" json:"run_empty,omitempty"`
}

func (m *PipelineInput) Reset()                    { *m = PipelineInput{} }
func (m *PipelineInput) String() string            { return proto.CompactTextString(m) }
func (*PipelineInput) ProtoMessage()               {}
func (*PipelineInput) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{8} }

func (m *PipelineInput) GetRepo() *pfs.Repo {
	if m != nil {
		return m.Repo
	}
	return nil
}

func (m *PipelineInput) GetMethod() *Method {
	if m != nil {
		return m.Method
	}
	return nil
}

type PipelineInfo struct {
	Pipeline    *Pipeline                   `protobuf:"bytes,1,opt,name=pipeline" json:"pipeline,omitempty"`
	Transform   *Transform                  `protobuf:"bytes,2,opt,name=transform" json:"transform,omitempty"`
	Parallelism uint64                      `protobuf:"varint,3,opt,name=parallelism" json:"parallelism,omitempty"`
	Inputs      []*PipelineInput            `protobuf:"bytes,4,rep,name=inputs" json:"inputs,omitempty"`
	OutputRepo  *pfs.Repo                   `protobuf:"bytes,5,opt,name=output_repo,json=outputRepo" json:"output_repo,omitempty"`
	CreatedAt   *google_protobuf1.Timestamp `protobuf:"bytes,6,opt,name=created_at,json=createdAt" json:"created_at,omitempty"`
	State       PipelineState               `protobuf:"varint,7,opt,name=state,enum=pachyderm.pps.PipelineState" json:"state,omitempty"`
	RecentError string                      `protobuf:"bytes,8,opt,name=recent_error,json=recentError" json:"recent_error,omitempty"`
	JobCounts   map[int32]int32             `protobuf:"bytes,9,rep,name=job_counts,json=jobCounts" json:"job_counts,omitempty" protobuf_key:"varint,1,opt,name=key" protobuf_val:"varint,2,opt,name=value"`
}

func (m *PipelineInfo) Reset()                    { *m = PipelineInfo{} }
func (m *PipelineInfo) String() string            { return proto.CompactTextString(m) }
func (*PipelineInfo) ProtoMessage()               {}
func (*PipelineInfo) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{9} }

func (m *PipelineInfo) GetPipeline() *Pipeline {
	if m != nil {
		return m.Pipeline
	}
	return nil
}

func (m *PipelineInfo) GetTransform() *Transform {
	if m != nil {
		return m.Transform
	}
	return nil
}

func (m *PipelineInfo) GetInputs() []*PipelineInput {
	if m != nil {
		return m.Inputs
	}
	return nil
}

func (m *PipelineInfo) GetOutputRepo() *pfs.Repo {
	if m != nil {
		return m.OutputRepo
	}
	return nil
}

func (m *PipelineInfo) GetCreatedAt() *google_protobuf1.Timestamp {
	if m != nil {
		return m.CreatedAt
	}
	return nil
}

func (m *PipelineInfo) GetJobCounts() map[int32]int32 {
	if m != nil {
		return m.JobCounts
	}
	return nil
}

type PipelineInfos struct {
	PipelineInfo []*PipelineInfo `protobuf:"bytes,1,rep,name=pipeline_info,json=pipelineInfo" json:"pipeline_info,omitempty"`
}

func (m *PipelineInfos) Reset()                    { *m = PipelineInfos{} }
func (m *PipelineInfos) String() string            { return proto.CompactTextString(m) }
func (*PipelineInfos) ProtoMessage()               {}
func (*PipelineInfos) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{10} }

func (m *PipelineInfos) GetPipelineInfo() []*PipelineInfo {
	if m != nil {
		return m.PipelineInfo
	}
	return nil
}

type CreateJobRequest struct {
	Transform   *Transform  `protobuf:"bytes,1,opt,name=transform" json:"transform,omitempty"`
	Pipeline    *Pipeline   `protobuf:"bytes,2,opt,name=pipeline" json:"pipeline,omitempty"`
	Parallelism uint64      `protobuf:"varint,3,opt,name=parallelism" json:"parallelism,omitempty"`
	Inputs      []*JobInput `protobuf:"bytes,4,rep,name=inputs" json:"inputs,omitempty"`
	ParentJob   *Job        `protobuf:"bytes,5,opt,name=parent_job,json=parentJob" json:"parent_job,omitempty"`
	Force       bool        `protobuf:"varint,6,opt,name=force" json:"force,omitempty"`
}

func (m *CreateJobRequest) Reset()                    { *m = CreateJobRequest{} }
func (m *CreateJobRequest) String() string            { return proto.CompactTextString(m) }
func (*CreateJobRequest) ProtoMessage()               {}
func (*CreateJobRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{11} }

func (m *CreateJobRequest) GetTransform() *Transform {
	if m != nil {
		return m.Transform
	}
	return nil
}

func (m *CreateJobRequest) GetPipeline() *Pipeline {
	if m != nil {
		return m.Pipeline
	}
	return nil
}

func (m *CreateJobRequest) GetInputs() []*JobInput {
	if m != nil {
		return m.Inputs
	}
	return nil
}

func (m *CreateJobRequest) GetParentJob() *Job {
	if m != nil {
		return m.ParentJob
	}
	return nil
}

type InspectJobRequest struct {
	Job        *Job `protobuf:"bytes,1,opt,name=job" json:"job,omitempty"`
	BlockState bool `protobuf:"varint,2,opt,name=block_state,json=blockState" json:"block_state,omitempty"`
}

func (m *InspectJobRequest) Reset()                    { *m = InspectJobRequest{} }
func (m *InspectJobRequest) String() string            { return proto.CompactTextString(m) }
func (*InspectJobRequest) ProtoMessage()               {}
func (*InspectJobRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{12} }

func (m *InspectJobRequest) GetJob() *Job {
	if m != nil {
		return m.Job
	}
	return nil
}

type ListJobRequest struct {
	Pipeline    *Pipeline     `protobuf:"bytes,1,opt,name=pipeline" json:"pipeline,omitempty"`
	InputCommit []*pfs.Commit `protobuf:"bytes,2,rep,name=input_commit,json=inputCommit" json:"input_commit,omitempty"`
}

func (m *ListJobRequest) Reset()                    { *m = ListJobRequest{} }
func (m *ListJobRequest) String() string            { return proto.CompactTextString(m) }
func (*ListJobRequest) ProtoMessage()               {}
func (*ListJobRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{13} }

func (m *ListJobRequest) GetPipeline() *Pipeline {
	if m != nil {
		return m.Pipeline
	}
	return nil
}

func (m *ListJobRequest) GetInputCommit() []*pfs.Commit {
	if m != nil {
		return m.InputCommit
	}
	return nil
}

type GetLogsRequest struct {
	Job *Job `protobuf:"bytes,1,opt,name=job" json:"job,omitempty"`
}

func (m *GetLogsRequest) Reset()                    { *m = GetLogsRequest{} }
func (m *GetLogsRequest) String() string            { return proto.CompactTextString(m) }
func (*GetLogsRequest) ProtoMessage()               {}
func (*GetLogsRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{14} }

func (m *GetLogsRequest) GetJob() *Job {
	if m != nil {
		return m.Job
	}
	return nil
}

type CreatePipelineRequest struct {
	Pipeline    *Pipeline        `protobuf:"bytes,1,opt,name=pipeline" json:"pipeline,omitempty"`
	Transform   *Transform       `protobuf:"bytes,2,opt,name=transform" json:"transform,omitempty"`
	Parallelism uint64           `protobuf:"varint,3,opt,name=parallelism" json:"parallelism,omitempty"`
	Inputs      []*PipelineInput `protobuf:"bytes,4,rep,name=inputs" json:"inputs,omitempty"`
	Update      bool             `protobuf:"varint,5,opt,name=update" json:"update,omitempty"`
	NoArchive   bool             `protobuf:"varint,6,opt,name=no_archive,json=noArchive" json:"no_archive,omitempty"`
}

func (m *CreatePipelineRequest) Reset()                    { *m = CreatePipelineRequest{} }
func (m *CreatePipelineRequest) String() string            { return proto.CompactTextString(m) }
func (*CreatePipelineRequest) ProtoMessage()               {}
func (*CreatePipelineRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{15} }

func (m *CreatePipelineRequest) GetPipeline() *Pipeline {
	if m != nil {
		return m.Pipeline
	}
	return nil
}

func (m *CreatePipelineRequest) GetTransform() *Transform {
	if m != nil {
		return m.Transform
	}
	return nil
}

func (m *CreatePipelineRequest) GetInputs() []*PipelineInput {
	if m != nil {
		return m.Inputs
	}
	return nil
}

type InspectPipelineRequest struct {
	Pipeline *Pipeline `protobuf:"bytes,1,opt,name=pipeline" json:"pipeline,omitempty"`
}

func (m *InspectPipelineRequest) Reset()                    { *m = InspectPipelineRequest{} }
func (m *InspectPipelineRequest) String() string            { return proto.CompactTextString(m) }
func (*InspectPipelineRequest) ProtoMessage()               {}
func (*InspectPipelineRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{16} }

func (m *InspectPipelineRequest) GetPipeline() *Pipeline {
	if m != nil {
		return m.Pipeline
	}
	return nil
}

type ListPipelineRequest struct {
}

func (m *ListPipelineRequest) Reset()                    { *m = ListPipelineRequest{} }
func (m *ListPipelineRequest) String() string            { return proto.CompactTextString(m) }
func (*ListPipelineRequest) ProtoMessage()               {}
func (*ListPipelineRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{17} }

type DeletePipelineRequest struct {
	Pipeline *Pipeline `protobuf:"bytes,1,opt,name=pipeline" json:"pipeline,omitempty"`
}

func (m *DeletePipelineRequest) Reset()                    { *m = DeletePipelineRequest{} }
func (m *DeletePipelineRequest) String() string            { return proto.CompactTextString(m) }
func (*DeletePipelineRequest) ProtoMessage()               {}
func (*DeletePipelineRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{18} }

func (m *DeletePipelineRequest) GetPipeline() *Pipeline {
	if m != nil {
		return m.Pipeline
	}
	return nil
}

type StartPipelineRequest struct {
	Pipeline *Pipeline `protobuf:"bytes,1,opt,name=pipeline" json:"pipeline,omitempty"`
}

func (m *StartPipelineRequest) Reset()                    { *m = StartPipelineRequest{} }
func (m *StartPipelineRequest) String() string            { return proto.CompactTextString(m) }
func (*StartPipelineRequest) ProtoMessage()               {}
func (*StartPipelineRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{19} }

func (m *StartPipelineRequest) GetPipeline() *Pipeline {
	if m != nil {
		return m.Pipeline
	}
	return nil
}

type StopPipelineRequest struct {
	Pipeline *Pipeline `protobuf:"bytes,1,opt,name=pipeline" json:"pipeline,omitempty"`
}

func (m *StopPipelineRequest) Reset()                    { *m = StopPipelineRequest{} }
func (m *StopPipelineRequest) String() string            { return proto.CompactTextString(m) }
func (*StopPipelineRequest) ProtoMessage()               {}
func (*StopPipelineRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{20} }

func (m *StopPipelineRequest) GetPipeline() *Pipeline {
	if m != nil {
		return m.Pipeline
	}
	return nil
}

func init() {
	proto.RegisterType((*Secret)(nil), "pachyderm.pps.Secret")
	proto.RegisterType((*Transform)(nil), "pachyderm.pps.Transform")
	proto.RegisterType((*Job)(nil), "pachyderm.pps.Job")
	proto.RegisterType((*Method)(nil), "pachyderm.pps.Method")
	proto.RegisterType((*JobInput)(nil), "pachyderm.pps.JobInput")
	proto.RegisterType((*JobInfo)(nil), "pachyderm.pps.JobInfo")
	proto.RegisterType((*JobInfos)(nil), "pachyderm.pps.JobInfos")
	proto.RegisterType((*Pipeline)(nil), "pachyderm.pps.Pipeline")
	proto.RegisterType((*PipelineInput)(nil), "pachyderm.pps.PipelineInput")
	proto.RegisterType((*PipelineInfo)(nil), "pachyderm.pps.PipelineInfo")
	proto.RegisterType((*PipelineInfos)(nil), "pachyderm.pps.PipelineInfos")
	proto.RegisterType((*CreateJobRequest)(nil), "pachyderm.pps.CreateJobRequest")
	proto.RegisterType((*InspectJobRequest)(nil), "pachyderm.pps.InspectJobRequest")
	proto.RegisterType((*ListJobRequest)(nil), "pachyderm.pps.ListJobRequest")
	proto.RegisterType((*GetLogsRequest)(nil), "pachyderm.pps.GetLogsRequest")
	proto.RegisterType((*CreatePipelineRequest)(nil), "pachyderm.pps.CreatePipelineRequest")
	proto.RegisterType((*InspectPipelineRequest)(nil), "pachyderm.pps.InspectPipelineRequest")
	proto.RegisterType((*ListPipelineRequest)(nil), "pachyderm.pps.ListPipelineRequest")
	proto.RegisterType((*DeletePipelineRequest)(nil), "pachyderm.pps.DeletePipelineRequest")
	proto.RegisterType((*StartPipelineRequest)(nil), "pachyderm.pps.StartPipelineRequest")
	proto.RegisterType((*StopPipelineRequest)(nil), "pachyderm.pps.StopPipelineRequest")
	proto.RegisterEnum("pachyderm.pps.JobState", JobState_name, JobState_value)
	proto.RegisterEnum("pachyderm.pps.Partition", Partition_name, Partition_value)
	proto.RegisterEnum("pachyderm.pps.Incremental", Incremental_name, Incremental_value)
	proto.RegisterEnum("pachyderm.pps.PipelineState", PipelineState_name, PipelineState_value)
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion3

// Client API for API service

type APIClient interface {
	CreateJob(ctx context.Context, in *CreateJobRequest, opts ...grpc.CallOption) (*Job, error)
	InspectJob(ctx context.Context, in *InspectJobRequest, opts ...grpc.CallOption) (*JobInfo, error)
	ListJob(ctx context.Context, in *ListJobRequest, opts ...grpc.CallOption) (*JobInfos, error)
	GetLogs(ctx context.Context, in *GetLogsRequest, opts ...grpc.CallOption) (API_GetLogsClient, error)
	CreatePipeline(ctx context.Context, in *CreatePipelineRequest, opts ...grpc.CallOption) (*google_protobuf.Empty, error)
	InspectPipeline(ctx context.Context, in *InspectPipelineRequest, opts ...grpc.CallOption) (*PipelineInfo, error)
	ListPipeline(ctx context.Context, in *ListPipelineRequest, opts ...grpc.CallOption) (*PipelineInfos, error)
	DeletePipeline(ctx context.Context, in *DeletePipelineRequest, opts ...grpc.CallOption) (*google_protobuf.Empty, error)
	StartPipeline(ctx context.Context, in *StartPipelineRequest, opts ...grpc.CallOption) (*google_protobuf.Empty, error)
	StopPipeline(ctx context.Context, in *StopPipelineRequest, opts ...grpc.CallOption) (*google_protobuf.Empty, error)
	// DeleteAll deletes everything
	DeleteAll(ctx context.Context, in *google_protobuf.Empty, opts ...grpc.CallOption) (*google_protobuf.Empty, error)
}

type aPIClient struct {
	cc *grpc.ClientConn
}

func NewAPIClient(cc *grpc.ClientConn) APIClient {
	return &aPIClient{cc}
}

func (c *aPIClient) CreateJob(ctx context.Context, in *CreateJobRequest, opts ...grpc.CallOption) (*Job, error) {
	out := new(Job)
	err := grpc.Invoke(ctx, "/pachyderm.pps.API/CreateJob", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *aPIClient) InspectJob(ctx context.Context, in *InspectJobRequest, opts ...grpc.CallOption) (*JobInfo, error) {
	out := new(JobInfo)
	err := grpc.Invoke(ctx, "/pachyderm.pps.API/InspectJob", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *aPIClient) ListJob(ctx context.Context, in *ListJobRequest, opts ...grpc.CallOption) (*JobInfos, error) {
	out := new(JobInfos)
	err := grpc.Invoke(ctx, "/pachyderm.pps.API/ListJob", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *aPIClient) GetLogs(ctx context.Context, in *GetLogsRequest, opts ...grpc.CallOption) (API_GetLogsClient, error) {
	stream, err := grpc.NewClientStream(ctx, &_API_serviceDesc.Streams[0], c.cc, "/pachyderm.pps.API/GetLogs", opts...)
	if err != nil {
		return nil, err
	}
	x := &aPIGetLogsClient{stream}
	if err := x.ClientStream.SendMsg(in); err != nil {
		return nil, err
	}
	if err := x.ClientStream.CloseSend(); err != nil {
		return nil, err
	}
	return x, nil
}

type API_GetLogsClient interface {
	Recv() (*google_protobuf2.BytesValue, error)
	grpc.ClientStream
}

type aPIGetLogsClient struct {
	grpc.ClientStream
}

func (x *aPIGetLogsClient) Recv() (*google_protobuf2.BytesValue, error) {
	m := new(google_protobuf2.BytesValue)
	if err := x.ClientStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

func (c *aPIClient) CreatePipeline(ctx context.Context, in *CreatePipelineRequest, opts ...grpc.CallOption) (*google_protobuf.Empty, error) {
	out := new(google_protobuf.Empty)
	err := grpc.Invoke(ctx, "/pachyderm.pps.API/CreatePipeline", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *aPIClient) InspectPipeline(ctx context.Context, in *InspectPipelineRequest, opts ...grpc.CallOption) (*PipelineInfo, error) {
	out := new(PipelineInfo)
	err := grpc.Invoke(ctx, "/pachyderm.pps.API/InspectPipeline", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *aPIClient) ListPipeline(ctx context.Context, in *ListPipelineRequest, opts ...grpc.CallOption) (*PipelineInfos, error) {
	out := new(PipelineInfos)
	err := grpc.Invoke(ctx, "/pachyderm.pps.API/ListPipeline", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *aPIClient) DeletePipeline(ctx context.Context, in *DeletePipelineRequest, opts ...grpc.CallOption) (*google_protobuf.Empty, error) {
	out := new(google_protobuf.Empty)
	err := grpc.Invoke(ctx, "/pachyderm.pps.API/DeletePipeline", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *aPIClient) StartPipeline(ctx context.Context, in *StartPipelineRequest, opts ...grpc.CallOption) (*google_protobuf.Empty, error) {
	out := new(google_protobuf.Empty)
	err := grpc.Invoke(ctx, "/pachyderm.pps.API/StartPipeline", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *aPIClient) StopPipeline(ctx context.Context, in *StopPipelineRequest, opts ...grpc.CallOption) (*google_protobuf.Empty, error) {
	out := new(google_protobuf.Empty)
	err := grpc.Invoke(ctx, "/pachyderm.pps.API/StopPipeline", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *aPIClient) DeleteAll(ctx context.Context, in *google_protobuf.Empty, opts ...grpc.CallOption) (*google_protobuf.Empty, error) {
	out := new(google_protobuf.Empty)
	err := grpc.Invoke(ctx, "/pachyderm.pps.API/DeleteAll", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// Server API for API service

type APIServer interface {
	CreateJob(context.Context, *CreateJobRequest) (*Job, error)
	InspectJob(context.Context, *InspectJobRequest) (*JobInfo, error)
	ListJob(context.Context, *ListJobRequest) (*JobInfos, error)
	GetLogs(*GetLogsRequest, API_GetLogsServer) error
	CreatePipeline(context.Context, *CreatePipelineRequest) (*google_protobuf.Empty, error)
	InspectPipeline(context.Context, *InspectPipelineRequest) (*PipelineInfo, error)
	ListPipeline(context.Context, *ListPipelineRequest) (*PipelineInfos, error)
	DeletePipeline(context.Context, *DeletePipelineRequest) (*google_protobuf.Empty, error)
	StartPipeline(context.Context, *StartPipelineRequest) (*google_protobuf.Empty, error)
	StopPipeline(context.Context, *StopPipelineRequest) (*google_protobuf.Empty, error)
	// DeleteAll deletes everything
	DeleteAll(context.Context, *google_protobuf.Empty) (*google_protobuf.Empty, error)
}

func RegisterAPIServer(s *grpc.Server, srv APIServer) {
	s.RegisterService(&_API_serviceDesc, srv)
}

func _API_CreateJob_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateJobRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(APIServer).CreateJob(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pachyderm.pps.API/CreateJob",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(APIServer).CreateJob(ctx, req.(*CreateJobRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _API_InspectJob_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(InspectJobRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(APIServer).InspectJob(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pachyderm.pps.API/InspectJob",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(APIServer).InspectJob(ctx, req.(*InspectJobRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _API_ListJob_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListJobRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(APIServer).ListJob(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pachyderm.pps.API/ListJob",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(APIServer).ListJob(ctx, req.(*ListJobRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _API_GetLogs_Handler(srv interface{}, stream grpc.ServerStream) error {
	m := new(GetLogsRequest)
	if err := stream.RecvMsg(m); err != nil {
		return err
	}
	return srv.(APIServer).GetLogs(m, &aPIGetLogsServer{stream})
}

type API_GetLogsServer interface {
	Send(*google_protobuf2.BytesValue) error
	grpc.ServerStream
}

type aPIGetLogsServer struct {
	grpc.ServerStream
}

func (x *aPIGetLogsServer) Send(m *google_protobuf2.BytesValue) error {
	return x.ServerStream.SendMsg(m)
}

func _API_CreatePipeline_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreatePipelineRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(APIServer).CreatePipeline(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pachyderm.pps.API/CreatePipeline",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(APIServer).CreatePipeline(ctx, req.(*CreatePipelineRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _API_InspectPipeline_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(InspectPipelineRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(APIServer).InspectPipeline(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pachyderm.pps.API/InspectPipeline",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(APIServer).InspectPipeline(ctx, req.(*InspectPipelineRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _API_ListPipeline_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListPipelineRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(APIServer).ListPipeline(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pachyderm.pps.API/ListPipeline",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(APIServer).ListPipeline(ctx, req.(*ListPipelineRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _API_DeletePipeline_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeletePipelineRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(APIServer).DeletePipeline(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pachyderm.pps.API/DeletePipeline",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(APIServer).DeletePipeline(ctx, req.(*DeletePipelineRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _API_StartPipeline_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(StartPipelineRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(APIServer).StartPipeline(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pachyderm.pps.API/StartPipeline",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(APIServer).StartPipeline(ctx, req.(*StartPipelineRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _API_StopPipeline_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(StopPipelineRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(APIServer).StopPipeline(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pachyderm.pps.API/StopPipeline",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(APIServer).StopPipeline(ctx, req.(*StopPipelineRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _API_DeleteAll_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(google_protobuf.Empty)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(APIServer).DeleteAll(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pachyderm.pps.API/DeleteAll",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(APIServer).DeleteAll(ctx, req.(*google_protobuf.Empty))
	}
	return interceptor(ctx, in, info, handler)
}

var _API_serviceDesc = grpc.ServiceDesc{
	ServiceName: "pachyderm.pps.API",
	HandlerType: (*APIServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "CreateJob",
			Handler:    _API_CreateJob_Handler,
		},
		{
			MethodName: "InspectJob",
			Handler:    _API_InspectJob_Handler,
		},
		{
			MethodName: "ListJob",
			Handler:    _API_ListJob_Handler,
		},
		{
			MethodName: "CreatePipeline",
			Handler:    _API_CreatePipeline_Handler,
		},
		{
			MethodName: "InspectPipeline",
			Handler:    _API_InspectPipeline_Handler,
		},
		{
			MethodName: "ListPipeline",
			Handler:    _API_ListPipeline_Handler,
		},
		{
			MethodName: "DeletePipeline",
			Handler:    _API_DeletePipeline_Handler,
		},
		{
			MethodName: "StartPipeline",
			Handler:    _API_StartPipeline_Handler,
		},
		{
			MethodName: "StopPipeline",
			Handler:    _API_StopPipeline_Handler,
		},
		{
			MethodName: "DeleteAll",
			Handler:    _API_DeleteAll_Handler,
		},
	},
	Streams: []grpc.StreamDesc{
		{
			StreamName:    "GetLogs",
			Handler:       _API_GetLogs_Handler,
			ServerStreams: true,
		},
	},
	Metadata: fileDescriptor0,
}

func init() { proto.RegisterFile("client/pps/pps.proto", fileDescriptor0) }

var fileDescriptor0 = []byte{
	// 1514 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x09, 0x6e, 0x88, 0x02, 0xff, 0xcc, 0x57, 0xeb, 0x6e, 0xdb, 0xc6,
	0x12, 0x96, 0x48, 0xdd, 0x38, 0xb4, 0x15, 0x65, 0x63, 0x3b, 0x84, 0x9c, 0x8b, 0xc2, 0xe4, 0x1c,
	0x18, 0x3e, 0xe7, 0xc8, 0x39, 0x4a, 0x60, 0xf4, 0x92, 0x00, 0xb5, 0x65, 0x39, 0x95, 0xa3, 0xc8,
	0x2a, 0x65, 0xb7, 0x68, 0x80, 0x42, 0xa0, 0xc8, 0x95, 0x4d, 0x47, 0xe2, 0xb2, 0xe4, 0xca, 0x85,
	0x5b, 0xb4, 0x2f, 0xd1, 0x7f, 0xed, 0x23, 0xf4, 0x69, 0xfa, 0x38, 0xfd, 0x57, 0xec, 0x2e, 0xa9,
	0x0b, 0x75, 0x49, 0xea, 0xfa, 0x47, 0x7f, 0x08, 0xe0, 0xce, 0x7c, 0x3b, 0x3b, 0x33, 0xfc, 0xe6,
	0xe3, 0x0a, 0xd6, 0xac, 0xbe, 0x83, 0x5d, 0xba, 0xe3, 0x79, 0x01, 0xfb, 0x95, 0x3d, 0x9f, 0x50,
	0x82, 0x56, 0x3d, 0xd3, 0x3a, 0xbf, 0xb2, 0xb1, 0x3f, 0x28, 0x7b, 0x5e, 0x50, 0xdc, 0x3c, 0x23,
	0xe4, 0xac, 0x8f, 0x77, 0xb8, 0xb3, 0x3b, 0xec, 0xed, 0xe0, 0x81, 0x47, 0xaf, 0x04, 0xb6, 0xf8,
	0x30, 0xee, 0xa4, 0xce, 0x00, 0x07, 0xd4, 0x1c, 0x78, 0x21, 0xe0, 0x41, 0x1c, 0xf0, 0x9d, 0x6f,
	0x7a, 0x1e, 0xf6, 0xc3, 0xc3, 0x8a, 0xa3, 0x14, 0x7a, 0x01, 0xfb, 0x09, 0xab, 0xfe, 0x29, 0x64,
	0xda, 0xd8, 0xf2, 0x31, 0x45, 0x08, 0x52, 0xae, 0x39, 0xc0, 0x5a, 0xb2, 0x94, 0xdc, 0x52, 0x0c,
	0xfe, 0x8c, 0xee, 0x03, 0x0c, 0xc8, 0xd0, 0xa5, 0x1d, 0xcf, 0xa4, 0xe7, 0x9a, 0xc4, 0x3d, 0x0a,
	0xb7, 0xb4, 0x4c, 0x7a, 0xae, 0xff, 0x26, 0x81, 0x72, 0xe2, 0x9b, 0x6e, 0xd0, 0x23, 0xfe, 0x00,
	0xad, 0x41, 0xda, 0x19, 0x98, 0x67, 0x51, 0x04, 0xb1, 0x40, 0x05, 0x90, 0xad, 0x81, 0xad, 0x49,
	0x25, 0x79, 0x4b, 0x31, 0xd8, 0x23, 0x7a, 0x06, 0x32, 0x76, 0x2f, 0x35, 0xb9, 0x24, 0x6f, 0xa9,
	0x95, 0x47, 0xe5, 0xa9, 0x1e, 0x94, 0x47, 0xe1, 0xca, 0x35, 0xf7, 0xb2, 0xe6, 0x52, 0xff, 0xca,
	0x60, 0x68, 0xb4, 0x03, 0xd9, 0x80, 0xe7, 0x19, 0x68, 0x29, 0xbe, 0x71, 0x3d, 0xb6, 0x51, 0x54,
	0x61, 0x44, 0x28, 0x96, 0x4d, 0x40, 0x6d, 0xc7, 0xd5, 0xd2, 0xfc, 0x64, 0xb1, 0x40, 0xff, 0x05,
	0x64, 0x5a, 0x16, 0xf6, 0x68, 0xc7, 0xc7, 0x74, 0xe8, 0xbb, 0x1d, 0x8b, 0xd8, 0x58, 0xcb, 0x94,
	0xe4, 0x2d, 0xd9, 0x28, 0x08, 0x8f, 0xc1, 0x1d, 0x55, 0x62, 0x63, 0x16, 0xc3, 0xc6, 0xdd, 0xe1,
	0x99, 0x96, 0x2d, 0x25, 0xb7, 0x72, 0x86, 0x58, 0x14, 0x77, 0x21, 0x17, 0xe5, 0xc6, 0xaa, 0x7b,
	0x87, 0xaf, 0xc2, 0x8a, 0xd9, 0x23, 0xdb, 0x73, 0x69, 0xf6, 0x87, 0x38, 0xec, 0x96, 0x58, 0x7c,
	0x22, 0x7d, 0x94, 0xd4, 0xd7, 0x41, 0x3e, 0x22, 0x5d, 0x94, 0x07, 0xc9, 0xb1, 0xc3, 0x1d, 0x92,
	0x63, 0xeb, 0x3f, 0x41, 0xe6, 0x0d, 0xa6, 0xe7, 0xc4, 0x46, 0xbb, 0xa0, 0x78, 0xa6, 0x4f, 0x1d,
	0xea, 0x10, 0x97, 0x03, 0xf2, 0x15, 0x2d, 0x56, 0x65, 0x2b, 0xf2, 0x1b, 0x63, 0x28, 0x7a, 0x01,
	0xaa, 0xe3, 0x5a, 0x3e, 0x1e, 0x60, 0x97, 0x9a, 0x7d, 0x7e, 0x70, 0xbe, 0x52, 0x8c, 0xed, 0xac,
	0x8f, 0x11, 0xc6, 0x24, 0x5c, 0xff, 0x01, 0x72, 0x47, 0xa4, 0x5b, 0x77, 0xbd, 0x21, 0x45, 0x8f,
	0x21, 0x63, 0x91, 0xc1, 0xc0, 0xa1, 0xfc, 0x78, 0xb5, 0xa2, 0x96, 0x19, 0x53, 0xaa, 0xdc, 0x64,
	0x84, 0x2e, 0xf4, 0x3f, 0xc8, 0x0c, 0x78, 0xc2, 0xfc, 0xa4, 0xd9, 0x37, 0x21, 0xaa, 0x31, 0x42,
	0x10, 0xda, 0x04, 0xc5, 0x1f, 0xba, 0x1d, 0xce, 0x65, 0x4d, 0xe6, 0x8d, 0xcc, 0xf9, 0x43, 0xb7,
	0xc6, 0xd6, 0xfa, 0x1f, 0x29, 0xc8, 0xf2, 0xd3, 0x7b, 0x04, 0x3d, 0x01, 0xf9, 0x82, 0x74, 0xc3,
	0x93, 0x51, 0x2c, 0xe8, 0x11, 0xe9, 0x1a, 0xcc, 0xcd, 0x9a, 0x44, 0x23, 0x8e, 0x84, 0x09, 0x68,
	0x8b, 0x38, 0x64, 0x8c, 0xa1, 0xe8, 0x19, 0xe4, 0x3c, 0xc7, 0xc3, 0x7d, 0xc7, 0xc5, 0x3c, 0x0b,
	0xb5, 0x72, 0x37, 0xde, 0xdb, 0xd0, 0x6d, 0x8c, 0x80, 0xa8, 0x04, 0xaa, 0x67, 0xfa, 0x66, 0xbf,
	0x8f, 0xfb, 0x4e, 0x30, 0xd0, 0x52, 0xa5, 0xe4, 0x56, 0xca, 0x98, 0x34, 0xa1, 0x1d, 0xc8, 0x38,
	0xac, 0x75, 0x01, 0xe7, 0xd9, 0x6c, 0xd0, 0xa8, 0xb5, 0x46, 0x08, 0x43, 0xff, 0x07, 0xf0, 0x4c,
	0x1f, 0xbb, 0xb4, 0xc3, 0x8a, 0xcd, 0x2c, 0x2c, 0x56, 0x11, 0x28, 0xc6, 0x98, 0xe7, 0x90, 0x0d,
	0xa8, 0xe9, 0x53, 0x6c, 0x73, 0x22, 0xaa, 0x95, 0x62, 0x59, 0xcc, 0x7a, 0x39, 0x9a, 0xf5, 0xf2,
	0x49, 0x24, 0x06, 0x46, 0x04, 0x45, 0xbb, 0x90, 0xeb, 0x39, 0xae, 0x13, 0x9c, 0x63, 0x5b, 0xcb,
	0xbd, 0x77, 0xdb, 0x08, 0x8b, 0x9e, 0xc2, 0x2a, 0x19, 0x52, 0x6f, 0x48, 0x3b, 0x21, 0x15, 0x94,
	0x59, 0x2a, 0xac, 0x08, 0x44, 0x35, 0x22, 0x44, 0x3a, 0xa0, 0x26, 0xc5, 0x1a, 0x70, 0xe6, 0xcd,
	0x69, 0x41, 0x9b, 0xb9, 0x0d, 0x81, 0x42, 0xaf, 0x40, 0xf5, 0x88, 0x1d, 0x46, 0x0f, 0x34, 0x95,
	0xf7, 0xed, 0xdf, 0xf3, 0xfa, 0xd6, 0x23, 0xe5, 0x16, 0xb1, 0xc5, 0x29, 0x81, 0x10, 0x03, 0xf0,
	0x46, 0x86, 0xe2, 0x4b, 0xb8, 0x15, 0x73, 0x4f, 0xce, 0x63, 0xea, 0x7d, 0xf3, 0xf8, 0x32, 0x24,
	0x7e, 0x8f, 0xb0, 0xb7, 0x92, 0xbb, 0x20, 0xdd, 0x8e, 0xe3, 0xf6, 0x88, 0x96, 0xe4, 0x09, 0x6d,
	0xcc, 0x4f, 0xc8, 0xc8, 0x5e, 0x88, 0x07, 0xfd, 0x01, 0xe4, 0x22, 0xc6, 0xcc, 0xd3, 0x4e, 0xfd,
	0x7b, 0x58, 0x8d, 0xfc, 0x62, 0xb8, 0xee, 0x43, 0xca, 0xc7, 0x1e, 0x09, 0x09, 0xae, 0xf0, 0x7e,
	0x1a, 0xd8, 0x23, 0x06, 0x37, 0xdf, 0xe8, 0x58, 0xfd, 0x92, 0x82, 0x95, 0xf1, 0xe1, 0x3d, 0x32,
	0xc5, 0xfe, 0xe4, 0x87, 0xb2, 0xff, 0xba, 0xa3, 0x16, 0x9b, 0x1a, 0x79, 0x76, 0x6a, 0x9e, 0x8f,
	0xa6, 0x46, 0x88, 0xf9, 0xbd, 0x05, 0xc9, 0x4c, 0x8f, 0xce, 0x36, 0xa8, 0x21, 0x33, 0x79, 0x1f,
	0xd3, 0xf1, 0x3e, 0x82, 0xf0, 0xb2, 0x67, 0xf4, 0x31, 0x80, 0xe5, 0x63, 0x93, 0x62, 0xbb, 0x63,
	0xd2, 0x70, 0xcc, 0x96, 0xf1, 0x5f, 0x09, 0xd1, 0x7b, 0x14, 0x55, 0x22, 0x3a, 0x67, 0x39, 0x9d,
	0x17, 0xe5, 0x36, 0xc5, 0xe9, 0x47, 0xb0, 0xe2, 0x63, 0x8b, 0x4d, 0x35, 0xf6, 0x7d, 0xe2, 0xf3,
	0x81, 0x53, 0x0c, 0x55, 0xd8, 0x6a, 0xcc, 0x84, 0xea, 0x00, 0x8c, 0x62, 0x16, 0xfb, 0x7a, 0x06,
	0x9a, 0xc2, 0xeb, 0xde, 0x5e, 0x58, 0x77, 0x8f, 0x30, 0xc6, 0x55, 0x39, 0x58, 0x30, 0x5f, 0xb9,
	0x88, 0xd6, 0xc5, 0x17, 0x90, 0x9f, 0x76, 0x4e, 0xf2, 0x3e, 0x3d, 0x87, 0xf7, 0xe9, 0x49, 0xde,
	0x7f, 0x31, 0x49, 0x4c, 0x46, 0xfe, 0xcf, 0x60, 0x35, 0x7a, 0xe7, 0x93, 0x13, 0xb0, 0xb9, 0x24,
	0x39, 0x63, 0xc5, 0x9b, 0x58, 0xe9, 0xbf, 0x4a, 0x50, 0xa8, 0xf2, 0x06, 0x32, 0xe9, 0xc2, 0xdf,
	0x0e, 0x71, 0x40, 0xa7, 0xe9, 0x93, 0xbc, 0x9e, 0x52, 0x4b, 0xd7, 0x54, 0x6a, 0x79, 0x99, 0x52,
	0xa7, 0xae, 0xa3, 0xd4, 0xe9, 0x0f, 0x51, 0xea, 0x35, 0x48, 0xf7, 0x88, 0x6f, 0x61, 0x4e, 0xb8,
	0x9c, 0x21, 0x16, 0xfa, 0x5b, 0xb8, 0x5d, 0x77, 0x03, 0x0f, 0x5b, 0x74, 0xa2, 0x3b, 0x1f, 0xf6,
	0xb5, 0x7b, 0x08, 0x6a, 0xb7, 0x4f, 0xac, 0x77, 0x1d, 0xc1, 0x48, 0x89, 0x87, 0x05, 0x6e, 0xe2,
	0xfc, 0xd3, 0x87, 0x90, 0x6f, 0x38, 0xc1, 0x64, 0xe0, 0x6b, 0x8d, 0x7a, 0x19, 0x56, 0x78, 0xd5,
	0x91, 0xe6, 0x4b, 0xbc, 0x45, 0x53, 0x9a, 0xaf, 0x72, 0x80, 0x58, 0xe8, 0xbb, 0x90, 0x7f, 0x85,
	0x69, 0x83, 0x9c, 0x05, 0x7f, 0xa9, 0x1e, 0xfd, 0x67, 0x09, 0xd6, 0x05, 0x51, 0x46, 0x49, 0xfc,
	0x9d, 0xb4, 0xff, 0x69, 0x0a, 0xb5, 0x01, 0x99, 0xa1, 0x67, 0xb3, 0x37, 0x95, 0xe6, 0x6f, 0x2a,
	0x5c, 0xb1, 0x7b, 0xb4, 0x4b, 0x3a, 0xa6, 0x6f, 0x9d, 0x3b, 0x97, 0x11, 0x39, 0x14, 0x97, 0xec,
	0x09, 0x83, 0xfe, 0x06, 0x36, 0x42, 0x82, 0xdc, 0x44, 0x57, 0xf4, 0x75, 0xb8, 0xc3, 0x38, 0x11,
	0x8b, 0xa5, 0x37, 0x60, 0xfd, 0x00, 0xf7, 0xf1, 0xcd, 0xb4, 0x5e, 0x7f, 0x0d, 0x6b, 0x6d, 0x76,
	0xd3, 0xb8, 0x91, 0x60, 0x47, 0x70, 0xa7, 0x4d, 0x89, 0x77, 0x13, 0xb1, 0xb6, 0xbf, 0xe1, 0x9f,
	0x75, 0x3e, 0x1d, 0xe8, 0x16, 0xa8, 0x47, 0xc7, 0xfb, 0x9d, 0xd6, 0x69, 0xa3, 0x51, 0x6f, 0xbe,
	0x2a, 0x24, 0x22, 0x83, 0x71, 0xda, 0x6c, 0x32, 0x43, 0x32, 0x32, 0x1c, 0xee, 0xd5, 0x1b, 0xa7,
	0x46, 0xad, 0x20, 0x45, 0x86, 0xf6, 0x69, 0xb5, 0x5a, 0x6b, 0xb7, 0x0b, 0x32, 0x5a, 0x05, 0x85,
	0x19, 0x6a, 0x6f, 0x5a, 0x27, 0x5f, 0x17, 0x52, 0xdb, 0xdb, 0xa0, 0x8c, 0x2e, 0xe1, 0x48, 0x81,
	0xf4, 0x7e, 0xe3, 0xb8, 0xfa, 0xba, 0x90, 0x40, 0x39, 0x48, 0x1d, 0xd6, 0x1b, 0xb5, 0x42, 0x92,
	0x3d, 0x19, 0xb5, 0xd6, 0x71, 0x41, 0xda, 0xfe, 0x0f, 0xa8, 0x13, 0xd7, 0x6e, 0xe6, 0x68, 0x1e,
	0x37, 0x6b, 0x02, 0x7c, 0x50, 0x3f, 0x3c, 0x14, 0xe0, 0xc3, 0xd3, 0x46, 0xa3, 0x20, 0x6d, 0xff,
	0x38, 0x96, 0x65, 0x91, 0xfc, 0x6d, 0x58, 0x6d, 0xd5, 0x5b, 0xb5, 0x46, 0xbd, 0x59, 0xeb, 0xd4,
	0x0f, 0x1a, 0x6c, 0xdf, 0x1a, 0x14, 0x46, 0xa6, 0x71, 0x0d, 0x77, 0xe1, 0xce, 0xd8, 0x5a, 0x6b,
	0x9f, 0xec, 0x19, 0x27, 0xcc, 0x21, 0x4d, 0xc1, 0xa3, 0x0a, 0xe5, 0x29, 0x6b, 0xfb, 0xe4, 0xb8,
	0xd5, 0xaa, 0x1d, 0x14, 0x52, 0x95, 0xdf, 0x33, 0x20, 0xef, 0xb5, 0xea, 0x68, 0x1f, 0x94, 0x91,
	0x92, 0xa3, 0x87, 0xb1, 0x76, 0xc7, 0x35, 0xbe, 0x38, 0x67, 0xd0, 0xf5, 0x04, 0xfa, 0x1c, 0x60,
	0x2c, 0x78, 0xa8, 0x34, 0xf3, 0x4f, 0x24, 0xa6, 0x85, 0xc5, 0x05, 0x77, 0x2d, 0x3d, 0x81, 0xaa,
	0x90, 0x0d, 0xe5, 0x0d, 0xdd, 0x8f, 0x81, 0xa6, 0x65, 0xaf, 0x78, 0x77, 0x7e, 0x8c, 0x40, 0x4f,
	0xa0, 0x3a, 0x64, 0x43, 0xb1, 0x9a, 0x09, 0x32, 0x2d, 0x62, 0xc5, 0xcd, 0x99, 0x1b, 0xc2, 0xfe,
	0x15, 0xc5, 0xc1, 0x97, 0xec, 0xdb, 0xa9, 0x27, 0x9e, 0x26, 0x51, 0x0b, 0xf2, 0xd3, 0xf2, 0x85,
	0x9e, 0xcc, 0x6d, 0x51, 0x8c, 0xc9, 0xc5, 0x8d, 0x99, 0xc0, 0xe2, 0xa2, 0x96, 0x40, 0x5f, 0xc1,
	0xad, 0xd8, 0xec, 0xa3, 0x7f, 0xcd, 0x6f, 0x58, 0x3c, 0xe6, 0xb2, 0xef, 0xb3, 0x9e, 0x40, 0x06,
	0xac, 0x4c, 0xaa, 0x00, 0xd2, 0xe7, 0xf4, 0x2f, 0x1e, 0xf2, 0xde, 0x92, 0x90, 0xac, 0x93, 0x2d,
	0xc8, 0x4f, 0x4b, 0xc8, 0x4c, 0xf9, 0x73, 0x15, 0x66, 0x49, 0xf9, 0x4d, 0x58, 0x9d, 0x92, 0x11,
	0xf4, 0x38, 0xfe, 0xbf, 0x7e, 0x8e, 0xc8, 0x2c, 0x89, 0xd7, 0x80, 0x95, 0x49, 0x25, 0x99, 0xa9,
	0x7a, 0x8e, 0xcc, 0x2c, 0x89, 0xf6, 0x12, 0x14, 0x51, 0xd0, 0x5e, 0xbf, 0x8f, 0x16, 0xc0, 0x16,
	0x6f, 0xdf, 0x4f, 0xbf, 0x95, 0x3d, 0x2f, 0xe8, 0x66, 0xb8, 0xe3, 0xd9, 0x9f, 0x01, 0x00, 0x00,
	0xff, 0xff, 0x2a, 0x3b, 0xbf, 0x14, 0x05, 0x12, 0x00, 0x00,
}
